#### D.4.16.39 tensorModFreemod

Procedure from library `modules.lib` (see modules_lib).

Return:
  Tensorprodukt of M,F

Example:

    LIB "modules.lib";
    ring R = 0,(x,y,z),dp;
    matrix a[1][2] = x,y;
    Matrix A = a;
    matrix b[1][2] = x2,y2;
    Matrix B = b;
    Module M = subquotient(A,B);
    M;
    ==> subquotient (| x y |, | x2 y2 |)
    ==>
    ==>
    FreeModule F = freeModule(R,3,0);
    F;
    ==>  3
    ==> R
    ==> free Module
    ==> Degrees of the generators: {0} {0} {0}
    ==>
    tensorModFreemod(M,F);
    ==> cokernel | 0 0 0 x 0 0 -y 0  0  |
    ==>          | 0 0 0 0 x 0 0  -y 0  |
    ==>          | 0 0 0 0 0 x 0  0  -y |
    ==>          | y 0 0 0 0 0 x  0  0  |
    ==>          | 0 y 0 0 0 0 0  x  0  |
    ==>          | 0 0 y 0 0 0 0  0  x  |
    ==>
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.